Bug 483498 - Review Request: earth-and-moon-backgrounds - Modern background
Review Request: earth-and-moon-backgrounds - Modern background
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 487957
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 16:33 EST by MERCIER Jonathan
Modified: 2009-03-16 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.1-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 14:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2009-02-01 16:33:45 EST
http://bioinformatiques.free.fr/earth-and-moon-0.1-1.fc10.noarch.rpm
http://bioinformatiques.free.fr/earth-and-moon-0.1-1.fc10.src.rpm
http://bioinformatiques.free.fr/earth-and-moon.spec

rpmlint issue:
_________________________________________________________________________
$ rpmlint rpmbuild/SPECS/earth-and-moon.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/earth-and-moon-0.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/earth-and-moon-0.1-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
_________________________________________________________________________
Comment 1 MERCIER Jonathan 2009-02-01 16:45:47 EST
$ koji build --scratch dist-f10 rpmbuild/SRPMS/earth-and-moon-0.1-1.fc10.src.rpm 
Uploading srpm: rpmbuild/SRPMS/earth-and-moon-0.1-1.fc10.src.rpm
[====================================] 100% 00:07:06   9.91 MiB  23.77 KiB/sec
Created task: 1097741
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1097741
Watching tasks (this may be safely interrupted)...
1097741 build (dist-f10, earth-and-moon-0.1-1.fc10.src.rpm): open (x86-5.fedora.phx.redhat.com)
  1097742 buildArch (earth-and-moon-0.1-1.fc10.src.rpm, noarch): open (ppc10.fedora.phx.redhat.com)
  1097742 buildArch (earth-and-moon-0.1-1.fc10.src.rpm, noarch): open (ppc10.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1097741 build (dist-f10, earth-and-moon-0.1-1.fc10.src.rpm): open (x86-5.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1097741 build (dist-f10, earth-and-moon-0.1-1.fc10.src.rpm) completed successfully
Comment 2 Mamoru TASAKA 2009-02-06 10:07:22 EST
(Removing NEEDSPONSOR)
Comment 3 MERCIER Jonathan 2009-02-18 06:02:57 EST
quote: mtasaka@ioa.s.u-tokyo.ac.jp  2009-02-05 13:43:29 EDT   (-) [reply]
-------

Well,
- This package itself is now good
- For your other review requests:
  - I suggets that gdesklets related packages should be renamed
    to gdesklets-XXXXXX
    (there are already gdesklets-goodweather, gdesklets-quote-of-the-day
     on Fedora. It seems that both of these were reviewed by me....)
  - I suggest that earth-and-moon rpm should be renamed to
    earth-and-moon-backgrounds (as other packages do).
    You can check how other packages are renamed by
    $ rpm -qf /usr/share/backgrounds/*

   (note: please post new srpms or your comments for this package
    on the corresponding review request, not on "this" review
    ticket)
_______________________________________________________________________________
mtasaka say this but in https://bugzilla.redhat.com/show_bug.cgi?id=481022 when
sponsorized me for another package
Comment 4 MERCIER Jonathan 2009-02-18 06:26:36 EST
change the package name to earth-and-moon-backgrounds:

rpmlint issue:
- rpmlint rpmbuild/SPECS/earth-and-moon-backgrounds.spec 
  0 packages and 1 specfiles checked; 0 errors, 0 warnings.

-  rpmlint rpmbuild/SRPMS/earth-and-moon-backgrounds-0.1-2.fc10.src.rpm 
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- rpmlint rpmbuild/RPMS/noarch/earth-and-moon-backgrounds-0.1-2.fc10.noarch.rpm 
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.
_________________________________________________________________________
http://bioinformatiques.free.fr/earth-and-moon-backgrounds-0.1-2.fc10.noarch.rpm
http://bioinformatiques.free.fr/earth-and-moon-backgrounds-0.1-2.fc10.src.rpm
http://bioinformatiques.free.fr/earth-and-moon-backgrounds.spec
Comment 5 Pierre-YvesChibon 2009-02-18 06:55:57 EST
Which does not mean anything for the present package except that you have followed the advices given.

This package is still *not* approved and need to be reviewed before so !
Comment 6 MERCIER Jonathan 2009-02-18 07:20:56 EST
ok i wait your suggest.
Comment 7 MERCIER Jonathan 2009-02-28 20:31:18 EST
someone can review this package please
Comment 8 Mamoru TASAKA 2009-03-04 10:59:21 EST
Assigning to myself
Comment 9 Mamoru TASAKA 2009-03-04 12:36:44 EST
For 0.1-2:

* Name
  - As you define %_appname macro, you can use this macro
    also on Name.
  ! Note
    For some reason (mostly due to unpredictable behavior
    on nested macros), now Fedora packaging guideline
    suggests to use %global instead of %define. 
    c.f (although this says "Drafts", this is already accepted)
    https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define

* License
--------------------------------------------------
The images in this directory were created by MERCIER Jonathan
<bioinfornatics@gmail.com>.  They are distributed under the terms of the GNU
GPL.
--------------------------------------------------
  - In this case the license tag should be "GPL+"

* Timestamps
  - Please use "-p" option when using "cp" or "install" command
    to keep timestamps on installed files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
    ("cp -a" keeps timestamps)

* Directory ownership issue
  - Now (on rawhide) the directory %_datadir/backgrounds is owned
    by filesystem, so please don't make this package own this
    package.

  - build.log says
------------------------------------------------------
    71  warning: File listed twice: /usr/share/backgrounds/earth-and-moon
------------------------------------------------------

    Note that the following %files entry
------------------------------------------------------
%files
%{_datadir}/backgrounds/earth-and-moon
------------------------------------------------------
    contains this directory itself and all files/directories/etc under
    this directory (i.e. %dir %{_datadir}/backgrounds/earth-and-moon
    is not needed)
  - On the other hand currently it is uncertain which package should
    own the directory %{_datadir}/gnome-background-properties/.
    So for now please make this package own this directory.

* %changelog
  - I suggest to put one line between each %changelog entry like
------------------------------------------------------
* Wed Feb 18 2009 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-2
- change package name to earth-and-moon-background

* Sat Oct 25 2008 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-1
- Initial release
------------------------------------------------------
    This is useful when using Fedora CVS system.
Comment 10 MERCIER Jonathan 2009-03-04 17:46:54 EST
* Wed Mar 04 2099  Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-3
- use %global instead of %define
- license tag change to "GPL+"
- use "-p" option when using "cp" or "install" command to keep timestamps on installed files
- %dir %{_datadir}/backgrounds/earth-and-moon is not needed
- put one line between each %changelog entry

tomorow i finish the spec ;)
thanks for your help
Comment 11 MERCIER Jonathan 2009-03-04 18:15:38 EST
hum
i think is good
i put the src.rpm
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-3.fc10.src.rpm

the spec file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds.spec

the rpm file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-3.fc10.noarch.rpm

-------------------------------------------------------------
rpmlint issue:

$ rpmlint rpmbuild/SPECS/earth-and-moon-backgrounds.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i rpmbuild/SRPMS/earth-and-moon-backgrounds-0.1-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i rpmbuild/RPMS/noarch/earth-and-moon-backgrounds-0.1-3.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 12 Mamoru TASAKA 2009-03-05 13:04:51 EST
-  As said in comment 9, for now
  Please also add "%dir %{_datadir}/gnome-background-properties/"
  to %files.

- For "install -p":
----------------------------------------------------------------
install -m644 images/* $RPM_BUILD_ROOT/%{_datadir}/backgrounds/%{_appname}/
----------------------------------------------------------------
  please use "-p" option also here.
Comment 13 MERCIER Jonathan 2009-03-05 14:16:10 EST
ok sorry

i put the src.rpm
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-3.fc10.src.rpm
--------------------------------------------------------------------------

the spec file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds.spec
--------------------------------------------------------------------------

the rpm file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-3.fc10.noarch.rpm
--------------------------------------------------------------------------
Comment 14 MERCIER Jonathan 2009-03-05 14:17:01 EST
ok sorry

i put the src.rpm
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-4.fc10.src.rpm
--------------------------------------------------------------------------

the spec file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds.spec
--------------------------------------------------------------------------

the rpm file
http://bioinformatiques.free.fr/earth-and-moon/earth-and-moon-backgrounds-0.1-4.fc10.noarch.rpm
--------------------------------------------------------------------------
Comment 15 Mamoru TASAKA 2009-03-06 09:47:45 EST
Okay.

---------------------------------------------------------------------
  This package (earth-and-moon-backgrounds) is APPROVED by mtasaka
---------------------------------------------------------------------
Comment 16 MERCIER Jonathan 2009-03-06 17:35:18 EST
big thanks to mtasaka ;)
Comment 17 Mamoru TASAKA 2009-03-09 12:42:55 EDT
Please write CVS request on this bug.
Comment 18 Mamoru TASAKA 2009-03-10 12:09:12 EDT
Resetting fedora-cvs+ flag.

Please again follow 
http://fedoraproject.org/wiki/New_package_process_for_existing_contributors
from step 7.
Comment 19 MERCIER Jonathan 2009-03-10 19:25:29 EDT
New Package CVS Request
=======================
Package Name: earth-and-moon-backgrounds
Short Description:  Modern background
Owners: bioinfornatics@gmail.com
Branches: F-9 F-10
InitialCC: bioinfornatics
Comment 20 Kevin Fenzi 2009-03-12 22:57:41 EDT
cvs done.
Comment 21 Fedora Update System 2009-03-13 19:54:40 EDT
earth-and-moon-backgrounds-0.1-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/earth-and-moon-backgrounds-0.1-4.fc9
Comment 22 Fedora Update System 2009-03-13 19:57:16 EDT
earth-and-moon-backgrounds-0.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/earth-and-moon-backgrounds-0.1-4.fc10
Comment 23 Mamoru TASAKA 2009-03-16 14:12:01 EDT
Closing this one.
Comment 24 Fedora Update System 2009-03-16 15:46:55 EDT
earth-and-moon-backgrounds-0.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-03-16 15:50:18 EDT
earth-and-moon-backgrounds-0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.